org.apache.lucene.luke.app.desktop

## Class MessageBroker

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.MessageBroker

    public class MessageBroker
    extends Object

Message broker

### Nested Class Summary

Nested Classes
`static interface` `MessageBroker.MessageReceiver` Message receiver in charge of rendering the message.

### Constructor Summary

Constructors
Constructor and Description
`MessageBroker()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `clearStatusMessage()`
`static MessageBroker` `getInstance()`
`void` `registerReceiver(MessageBroker.MessageReceiver receiver)`
`void` `showStatusMessage(String message)`
`void` `showUnknownErrorMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageBroker

    public MessageBroker()

### Method Detail

#### getInstance

    public static MessageBroker getInstance()

#### registerReceiver

    public void registerReceiver(MessageBroker.MessageReceiver receiver)

#### showStatusMessage

    public void showStatusMessage(String message)

#### showUnknownErrorMessage

    public void showUnknownErrorMessage()

#### clearStatusMessage

    public void clearStatusMessage()